<?php

namespace Athira\Forms\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class AthiraItemTransformer extends TransformerAbstract
{
    public function transform(\Athira\Forms\Models\Athira $athira)
    {
        return [
            'id'                => $athira->getRouteKey(),
            'id'                => $athira->id,
            'name'              => $athira->name,
            'email'             => $athira->email,
            'password'          => $athira->password,
            'status'            => trans('app.'.$athira->status),
            'created_at'        => format_date($athira->created_at),
            'updated_at'        => format_date($athira->updated_at),
        ];
    }
}